Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1095885 - Incorporate two ppc64le changes to the binutils spec in rawhide
Summary: Incorporate two ppc64le changes to the binutils spec in rawhide
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: binutils
Version: 22
Hardware: ppc64le
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Nick Clifton
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F-ExcludeArch-ppc64le, PPC64LETracker
TreeView+ depends on / blocked
 
Reported: 2014-05-08 18:17 UTC by Brent Baude
Modified: 2015-03-18 14:29 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-03-18 14:29:01 UTC


Attachments (Terms of Use)
ldforcele patch (deleted)
2014-05-08 18:17 UTC, Brent Baude
no flags Details | Diff

Description Brent Baude 2014-05-08 18:17:38 UTC
Created attachment 893730 [details]
ldforcele patch

Nick Clifton asked me to formalize this request in a bugzilla for record keeping purposes.

We would like to add two changes to the rawhide binutils spec to make it ppc64le ready. One is to conditionally add an additional target for the ppc64le linker.  This is currently needed to build grub2 on ppc64le.

 case %{binutils_target} in  ppc64le*)
    CARGS="$CARGS --enable-targets=powerpc-linux"
    ;;

The second is to add a patch (provided) that through a simple environment variable will allow the linker to respond to configure scripts with the correct information about shared library support.  When the configure scripts are trying to determine if shared libraries can be generated, it has a check for 
ppc64* as a whole, setting the LD option to `ld -m elf64ppc' (instead of 
`ld -m elf64lppc' on LE).  This allows us to time to "fix" libtool related information that is embedded in configure scripts.

As part of adding this script, we concur to the following:

1. The patch will be removed after F21 and any remaining packages will be fixed.
2. The patch will be applied conditionally to the ppc64le arch only.

Comment 1 Nick Clifton 2014-05-09 15:39:46 UTC
Hi Brent,

binutils-2.24-14.fc21 now contains your patches - please give it a try.

Cheers
  Nick

Comment 2 Brent Baude 2014-05-09 15:51:29 UTC
Nick,

It built nicely and I will test it today.

http://ppc-le.koji.fedoraproject.org/koji/taskinfo?taskID=14776

Comment 3 Jaroslav Reznik 2015-03-03 17:01:09 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 22 development cycle.
Changing version to '22'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora22


Note You need to log in before you can comment on or make changes to this bug.